' Licensed Materials - Property of IBM
'
' Remote Execution & Access (RXA)
'
' (C) COPYRIGHT International Business Machines Corp. 2007-2008
'
' All Rights Reserved 
' US Government Users Restricted Rights - Use duplication or
' disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
'
'
const SUCCESS = 254
const BAD_ARG_COUNT = 1
const INVALID_KEY = 2
const INVALID_VALUE_NAME = 6
const NO_STD_REG_PROV = 8

const HKLM = &H80000002

const VBS_STATUS_INVALID_KEY_PATH = 2
const VBS_STATUS_INVALID_VALUE_NAME = 1

On Error Resume Next

Set args = WScript.Arguments
If args.count = 1 Then
    ' get default value
    keyPath = args.Item(0)
    valuename = ""        
ElseIf args.count = 2 Then
    keyPath = args.Item(0)
    valuename = args.Item(1)        
else 
    Wscript.Quit(BAD_ARG_COUNT)
End if  

Set oShell = WScript.CreateObject("WScript.Shell") 
Set oCtx = CreateObject("WbemScripting.SWbemNamedValueSet")
if oShell.Environment("PROCESS")("PROCESSOR_ARCHITEW6432") <> "" then
oCtx.Add "__ProviderArchitecture", 64
oCtx.Add "__RequiredArchitecture", TRUE
end if

Set oLocator = CreateObject("Wbemscripting.SWbemLocator")
Set oServices = oLocator.ConnectServer("","root\default","","",,,,oCtx)
Set oReg = oServices.Get("StdRegProv") 

if IsEmpty(oReg) Then
    wscript.quit(NO_STD_REG_PROV)
end if

status = oReg.GetStringValue(HKLM, keyPath, valuename, value)
if status = VBS_STATUS_INVALID_VALUE_NAME Then
    Wscript.Quit(INVALID_VALUE_NAME)
End If    
if status <> 0  Then
    Wscript.Quit(INVALID_KEY)
End If

WScript.Echo value

' Exit no error
Wscript.Quit(SUCCESS)

Function chkErr
    If Err > 0 Then
        WScript.StdErr.WriteLine Err.number
        WScript.StdErr.WriteLine Err.Description
        Wscript.Quit(0)
    End If    
End Function