
' Licensed Materials - Property of IBM
'
' Remote Execution & Access (RXA)
'
' (C) COPYRIGHT International Business Machines Corp. 2007
'
' All Rights Reserved 
' US Government Users Restricted Rights - Use duplication or
' disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
'
'
const SUCCESS = 254
const NOTFOUND = 109

strService = wscript.Arguments(0)
strDispName = wscript.Arguments(1)
strPath = wscript.Arguments(2)
strType = wscript.Arguments(3)
strErrControl = wscript.Arguments(4)
strStartMode = wscript.Arguments(5)
strStartName = wscript.Arguments(6)
strLoadOrderGroup = wscript.Arguments(7)

wscript.echo "strService:" & strService
wscript.echo "strDispName:" & strDispName
wscript.echo "strPath:" & strPath
wscript.echo "strType:" & strType
wscript.echo "strErrControl:" & strErrControl
wscript.echo "strStartMode:" & strStartMode
wscript.echo "strStartName:" & strStartName
wscript.echo "strLoadOrdergroup:" & strLoadOrderGroup


Set objWMIService = GetObject("winmgmts:" _
    & "{impersonationLevel=impersonate}!\\" _
    & ".\root\cimv2")

Set colServiceList = objWMIService.ExecQuery _
    ("Select * from Win32_Service")

found = 1
For Each objservice in colServiceList
	If strComp(objService.Name, strService, vbTextCompare) = 0 Then
	    found = 0
	    intRC = objService.Change(strDispName, _
                          strPath, _ 
                          strType, _ 
                          strErrControl, _
                          strStartMode, ,_ 
                          strStartName, , _
                          strLoadOrderGroup )
                         
    End If
Next

if found = 1 Then
    wscript.quit(NOTFOUND)
end if

if intRC <> 0 then
	WScript.Quit(intRC)
else
	WScript.Quit(SUCCESS)
End If



