' Licensed Materials - Property of IBM
'
' Remote Execution & Access (RXA)
'
' (C) COPYRIGHT International Business Machines Corp. 2007
'
' All Rights Reserved 
' US Government Users Restricted Rights - Use duplication or
' disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
'
'
const NOTFOUND = 109
const SUCCESS = 254
On Error Resume Next

strService = wscript.Arguments(0)
flag = wscript.Arguments(1)

found = "1"
winSvcMgr = _
    "winmgmts:{impersonationLevel=impersonate}//./root/cimv2:Win32_Service"
Set svcs = GetObject(winSvcMgr).Instances_
For Each svc in svcs
    strName = svc.Properties_("Name").Value
    if strComp(strService, strName, vbTextCompare) = 0 Then
        found = "0"
    End If
Next 

if Found = "1" Then
Wscript.Quit(NOTFOUND)
End if

set objWMI = GetObject( _
    "winmgmts:{impersonationLevel=impersonate}//./root/cimv2")

If Wscript.Arguments.Count <> 1 Then
    set colServices = objWMI.ExecQuery("Associators of " _
     & "{Win32_Service.Name='" & strService & "'} Where " _
     & "AssocClass=Win32_DependentService Role=Dependent" )
else
    set colServices = objWMI.ExecQuery("Associators of " _
     & "{Win32_Service.Name='" & strService & "'} Where " _
     & "AssocClass=Win32_DependentService Role=Antecedent" )
End If

for each objService in colServices
 Wscript.Echo objService.Name
next

' Exit no error
Wscript.Quit(SUCCESS)
