' Licensed Materials - Property of IBM
'
' Remote Execution & Access (RXA)
'
' (C) COPYRIGHT International Business Machines Corp. 2007
'
' All Rights Reserved 
' US Government Users Restricted Rights - Use duplication or
' disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
'
'
const SUCCESS = 254
const NOTFOUND = 109

' if there is a cmdline arg, we get the info for that
' service, otherwise we return all services
'

If Wscript.Arguments.Count <> 0 Then
	strService = wscript.Arguments(0)
End If

found = "1"
winSvcMgr = _
    "winmgmts:{impersonationLevel=impersonate}//./root/cimv2:Win32_Service"
Set svcs = GetObject(winSvcMgr).Instances_
If Wscript.Arguments.Count = 0 Then
	Wscript.Echo svcs.count
End If
For Each svc In svcs
	strName = svc.Properties_("Name").value
	if wscript.Arguments.Count = 0 OR strComp(strService, strName, vbTextCompare) = 0 Then
	    found = "0"
		WScript.Echo svc.Properties_("Name").Value
		WScript.Echo svc.Properties_("DisplayName").Value
		WScript.Echo svc.Properties_("State").Value
		WScript.Echo svc.Properties_("ServiceType").Value
		WScript.Echo svc.Properties_("StartName").Value
		WScript.Echo svc.Properties_("ErrorControl").Value
		WScript.Echo svc.Properties_("PathName").Value
		WScript.Echo svc.Properties_("TagId").Value
		WScript.Echo svc.Properties_("AcceptPause").Value
		WScript.Echo svc.Properties_("AcceptStop").Value
		WScript.Echo svc.Properties_("ExitCode").Value
		WScript.Echo svc.Properties_("ServiceSpecificExitCode").Value
		WScript.Echo svc.Properties_("CheckPoint").Value
		WScript.Echo svc.Properties_("WaitHint").Value
		WScript.Echo svc.Properties_("StartMode").Value
		
		
	End If
Next

If Found = "1" Then
	Wscript.Quit(NOTFOUND)
End if

' Exit no error
Wscript.Quit(SUCCESS)

