' Licensed Materials - Property of IBM
'
' Remote Execution & Access (RXA)
'
' (C) COPYRIGHT International Business Machines Corp. 2007
'
' All Rights Reserved 
' US Government Users Restricted Rights - Use duplication or
' disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
'
'
const SUCCESS = 254
const OBJ_NOT_FOUND = 5 

Set objWMI = GetObject("winmgmts:")

' Get a list of IP-enabled adapters.
query = "select * from Win32_NetworkAdapterConfiguration where IPEnabled = 1"
Set objNetworkAdapters =  objWMI.ExecQuery(query)

For Each objAdapter In objNetworkAdapters
      macAddr = objAdapter.MacAddress

      if macAddr <> "00:00:00:00:00:01" Then
          wscript.echo macAddr
          Wscript.Quit(SUCCESS)
      END If    
Next
Wscript.Quit(OBJ_NOT_FOUND)
