' Licensed Materials - Property of IBM
'
' Remote Execution & Access (RXA)
'
' (C) COPYRIGHT International Business Machines Corp. 2007
'
' All Rights Reserved 
' US Government Users Restricted Rights - Use duplication or
' disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
'
'
' Terminate a process of a given PID
const SUCCESS = 254
const BAD_ARG_COUNT = 1
const OBJ_NOT_FOUND = 5

Set swbemLoc = createobject("wbemscripting.swbemlocator")
swbemLoc.Security_.privileges.addasstring "sedebugprivilege", true

Set objWMI = swbemLoc.ConnectServer(".", "root\cimv2")
On Error Resume Next

Set args = WScript.Arguments

If args.count = 1 Then
    ' get default value
    pid = args.Item(0)
else
    Wscript.Quit(BAD_ARG_COUNT)
End If

query = "Select * from Win32_Process Where ProcessID = " & pid & ""
Set procs = objWMI.ExecQuery(query)
If procs.count < 1 Then
    Wscript.Quit(OBJ_NOT_FOUND)
End If    

For Each proc in procs
    proc.Terminate()
Next
Wscript.Quit(SUCCESS)